{
  lib,
  pkgs,
  ...
}:
let
  mizukios-logo = pkgs.callPackage ../mizukios/base/mizukios/assets/mizukios-logo.nix { };
in
{
  config = lib.mkIf pkgs.stdenv.isLinux {
    programs.fastfetch = {
      enable = true;

      settings = {
        logo.source = "${mizukios-logo}/share/pixmaps/mizukios-mini.png";

        modules = [
          "title"
          "separator"
          "os"
          "host"
          "kernel"
          "uptime"
          "packages"
          "shell"
          "display"
          "de"
          "wm"
          "wmtheme"
          "theme"
          "icons"
          "font"
          "cursor"
          "terminal"
          "terminalfont"
          "cpu"
          "gpu"
          "memory"
          "swap"
          "disk"
          "localip"
          "battery"
          "poweradapter"
          "locale"
          "break"
          "colors"
        ];
      };
    };
  };
}
